%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

Name:           mingw32-cppunit
Version:        1.12.1
Release:        3%{?dist}
Summary:        MinGW Windows C++ unit testing framework

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://cppunit.sourceforge.net/
Source0:        http://downloads.sourceforge.net/cppunit/cppunit-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
Requires: pkgconfig

%description
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised 
tests.

MinGW Windows C++ unit testing framework.


%prep
%setup -q -n cppunit-%{version}
for file in THANKS ChangeLog NEWS; do
   iconv -f latin1 -t utf8 < $file > ${file}.utf8
   touch -c -r $file ${file}.utf8
   mv ${file}.utf8 $file
done


%build
%_mingw32_configure --disable-static --disable-doxygen

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS ChangeLog TODO BUGS doc/FAQ
%{_mingw32_bindir}/cppunit-config
%{_mingw32_bindir}/DllPlugInTester.exe
%{_mingw32_includedir}/cppunit/
%{_mingw32_bindir}/libcppunit-*.dll
%{_mingw32_libdir}/pkgconfig/cppunit.pc
%{_mingw32_libdir}/libcppunit.dll.a
%{_mingw32_libdir}/libcppunit.la
%{_mingw32_datadir}/aclocal/cppunit.m4
%exclude %{_mingw32_mandir}/man1/cppunit-config.1


%changelog
* Sun Oct  4 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.12.1-3
- Rebuild for MinGW debuginfo breakage

* Mon Aug 17 2009 Nicolas Chauvet <kwizart@gmail.com> - 1.12.1-2
- Fix BR mingw32-gcc-c++
- Update description
- Disable duplicated docs with native package.

* Mon Jan  5 2009 Nicolas Chauvet <kwizart@gmail.com> - 1.12.1-1
- Initial package based on original cppunit.spec

